## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArrayMemoryAllocator< T > Class Template Reference
[Containers]

The default allocator for csArray. More...

`#include <csutil/array.h>`

List of all members.

## Static Public Member Functions

static T * | Alloc (size_t count)
static void | Free (T *mem)
static void | MemMove (T *mem, size_t dest, size_t src, size_t count)
static T * | Realloc (T *mem, size_t relevantcount, size_t oldcount, size_t newcount)

## Detailed Description

### template<class T>
class csArrayMemoryAllocator< T >

The default allocator for csArray.

Uses malloc/free/realloc.

Definition at line 185 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h